Skip to main content
`Ctrl`+`K`

# PCGAMGSetAggressiveLevels

Use aggressive coarsening on first n levels

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGSetAggressiveLevels(PC pc, PetscInt n)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- n - 0, 1 or more

## Options Database Key

- -pc_gamg_aggressive_coarsening <n,default = 1> - Number of levels on which to square the graph on before aggregating it

## See Also

the Users Manual section on PCGAMG, the Users Manual section on PCMG, KSP: Linear System Solvers, `PCGAMG`, `PCGAMGSetThreshold()`, `PCGAMGMISkSetAggressive()`, `PCGAMGSetAggressiveSquareGraph()`, `PCGAMGMISkSetMinDegreeOrdering()`, `PCGAMGSetLowMemoryFilter()`

## Level

intermediate

## Location

src/ksp/pc/impls/gamg/agg.c

## Implementations

PCGAMGSetAggressiveLevels_AGG() in src/ksp/pc/impls/gamg/agg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages